<?php
/**
 * The template for displaying the footer
 *
 * Contains footer content and the closing of the #main and #page div elements.
 */

$widgets_areas = (int) get_theme_mod( 'footer-widget-areas', diamond_get_default( 'footer-widget-areas' ) );

$has_active_sidebar = false;
if ( $widgets_areas > 0 ) {
	$i = 1;

	while ( $i <= $widgets_areas ) {
		if ( is_active_sidebar( 'footer_' . $i ) ) {
			$has_active_sidebar = true;
			break;
		}

		$i++;
	}
}
?>

	<div class="clear"></div>

	<div id="footer">

 		<div class="inner-wrap">

 			<?php if ( $has_active_sidebar ) : ?>
  				<div class="widgets widget-columns-<?php echo esc_attr( $widgets_areas ); ?>">

	  				<?php for ( $i = 1; $i <= $widgets_areas; $i ++ ) : ?>

						<div class="column <?php echo ( $i == $widgets_areas ? 'last' : '' ); ?>">

							<?php dynamic_sidebar( 'footer_' . $i ); ?>

						</div><!-- .column -->

					<?php endfor; ?>

  				<div class="cleaner">&nbsp;</div>
				</div>
 			<?php endif; ?>


			<div class="left">
				<?php echo get_theme_mod( 'footer-text', diamond_get_default( 'footer-text' ) ); ?>
			</div>

			<div class="right">
				<p class="wpzoom"><?php _e( 'Designed by', 'wpzoom' ); ?> <a href="http://www.wpzoom.com" target="_blank"><?php _e( 'WPZOOM', 'wpzoom' ); ?></a></p>
			</div>

			<div class="cleaner">&nbsp;</div>

		</div><!-- / .inner-wrap -->
	</div><!-- / #footer -->

<script type="text/javascript">
jQuery(document).ready(function($) {

	<?php if (option::get('featured_posts_show') == 'on' && $paged < 2) {?>
 	$("#slider").flexslider({
 		controlNav: true,
		directionNav: true,
		animationLoop: true,
   		animation: "<?php if (option::get('slideshow_effect') == 'Slide') { ?>slide<?php } else { ?>fade<?php } ?>",
		useCSS: true,
		smoothHeight: false,
		touch: true,
		slideshow: <?php if (option::get('slideshow_auto') == 'on') { echo "true"; } else { echo "false"; } ?>,
		<?php if (option::get('slideshow_auto') == 'on') { ?>slideshowSpeed:<?php echo option::get('slideshow_speed'); ?>,<?php } ?>
		pauseOnAction: true,
 		start: wpz_sliderTextAnimate,
 		before: wpz_sliderTextAnimate
 	});
	$('#slider .slides h3').css({'margin-top':0,'opacity':0});
	$('#slider .slides .excerpt').css({'opacity':0});
	<?php } ?>

});
</script>

<?php wp_footer(); ?>
</body>
</html>