<?php

function diamond_option_defaults() {
    $defaults = array(
        /**
         * General
         */
        // Site Title & Tagline
        'hide-tagline'                        => 0,
        // Logo
        'logo'                                => '',
        'logo-retina-ready'                   => 0,
        'logo-favicon'                        => 0,

        /**
         * Typography
         */
        // Body
        'font-family-site-body'               => 'Source Sans Pro',
        'font-size-site-body'                 => '16',
        // Site Title & Tag Line
        'font-family-site-title'              => 'Source Sans Pro',
        'font-size-site-title'                => 30,
        'font-family-site-tagline'            => 'Source Sans Pro',
        'font-size-site-tagline'              => 16,
        // Navigation
        'font-family-nav'                     => 'Source Sans Pro',
        'font-size-nav'                       => 16,
        // Slider Title
        'font-family-slider-title'            => 'Montserrat',
        'font-size-slider-title'              => 62,
        'font-family-slider-content'          => 'Source Sans Pro',
        'font-size-slider-content'            => 20,
        // Widgets
        'font-family-widgets'                 => 'Montserrat',
        'font-size-widgets'                   => 28,
        // Post Title
        'font-family-post-title'              => 'Montserrat',
        'font-size-post-title'                => 34,
        // Single Post Title
        'font-family-single-post-title'       => 'Montserrat',
        'font-size-single-post-title'         => 34,
        // Page Title
        'font-family-page-title'              => 'Montserrat',
        'font-size-page-title'                => 34,

        /**
         * Color Scheme
         */
        // General
        'color-body-text'                     => '#5f5e5e',
        'color-logo'                          => '#222222',
        'color-link'                          => '#206ED1',
        'color-link-hover'                    => '#000000',
        'color-button-background'             => '#206ED1',
        // Menu
        'color-menu-link'                     => '#42413E',
        'color-menu-link-hover'               => '#206ED1',
        'color-menu-link-current'             => '#206ED1',
        'color-menu-hamburger-background'     => '#206ED1',
        // Breadcrumbs
        'color-breadcrumbs-background'        => '#F4F7F8',
        'color-breadcrumbs'                   => '#aaaaaa',
        'color-breadcrumbs-separator'         => '#aaaaaa',
        'color-breadcrumbs-current'           => '#42413e',
        // Post
        'color-post-title'                    => '#222222',
        'color-post-title-hover'              => '#206ED1',
        'color-post-meta'                     => '#aaaaaa',
        'color-post-meta-link-hover'          => '#212426',
        'color-post-meta-separator'           => '#ECECEC',
        'color-post-separator'                => '#efefef',
        // Widgets
        'color-widget-title'                  => '#222222',
        'color-widget-separator'              => '#efefef',
        // Footer
        'color-footer-text'                   => '#5f5e5e',
        'color-footer-link'                   => '#646b6e',
        'color-footer-link-hover'             => '#000000',
        'color-footer-separator'              => '#DAE3E6',

        /**
         * Header
         */
        // Background Image
        'header-background-color'             => '#ffffff',
        'header-background-image'             => '',
        'header-background-repeat'            => 'no-repeat',
        'header-background-position'          => 'center',
        'header-background-size'              => 'cover',

        /**
         * Footer
         */
        // Background Image
        'footer-background-color'             => '#F4F7F8',
        'footer-background-image'             => '',
        'footer-background-repeat'            => 'no-repeat',
        'footer-background-position'          => 'center',
        'footer-background-size'              => 'cover',
        // Widget Areas
        'footer-widget-areas'                 => 4,
        // Copyright
        'footer-text'                         => sprintf( __( 'Copyright &copy; %1$s &mdash; %2$s. All Rights Reserved', 'wpzoom' ), date( 'Y' ), get_bloginfo( 'name' ) ),
    );

    return $defaults;
}

function diamond_get_default( $option ) {
    $defaults = diamond_option_defaults();
    $default  = ( isset( $defaults[ $option ] ) ) ? $defaults[ $option ] : false;

    return $default;
}
