<?php


/* Registering metaboxes
============================================*/

add_action( 'admin_menu', 'wpzoom_options_box' );

function wpz_farbtastic() {
    global $post_type;
    if ( $post_type == 'slider' ) {
        wp_enqueue_style( 'farbtastic' );
        wp_enqueue_script( 'farbtastic' );
    }
}


function wpzoom_options_box() {
    add_action( 'admin_print_scripts-post-new.php', 'wpz_farbtastic' );
    add_action( 'admin_print_scripts-post.php', 'wpz_farbtastic' );

    add_meta_box( 'wpzoom_page_layout', 'Page Layout', 'wpzoom_page_layout_options', 'page', 'normal', 'high' );
    add_meta_box( 'wpzoom_post_layout', 'Post Layout', 'wpzoom_post_layout_options', 'post', 'normal', 'high' );
    add_meta_box( 'wpzoom_top_button', 'Slide Options', 'wpzoom_top_button_options', 'slider', 'side', 'high' );
    add_meta_box( 'wpzoom_page_meta', 'Page Options', 'wpzoom_page_meta', 'page', 'side', 'high' );

    $template_file = '';
    // get the id of current post/page
    if ( isset( $_GET['post'] ) || isset( $_POST['post_ID'] ) ) {
        $post_id = isset( $_GET['post'] ) ? $_GET['post'] : $_POST['post_ID'];
    }

    // get the template file used (if a page)
    if ( isset( $post_id ) ) {
        $template_file = get_post_meta( $post_id, '_wp_page_template', true );
    }
    // if we are using the dir-list.php page template, add an additional meta boxe
    if ( isset($template_file) && ($template_file == 'page-templates/directory.php') ) {
        add_meta_box( 'wpzoom_dir_list_meta', 'Directory List Options', 'wpzoom_dir_list_meta', 'page', 'side', 'high' );
    }

}


/* Directory Page Template Options
============================================*/

function wpzoom_dir_list_meta() {
    global $post;
    ?>
    <fieldset>
        <input type="hidden" name="saveDirList" id="saveDirList" value="1"/>

        <div>

            <p class="wpz_border">
                <label for="wpzoom_dir_meta_ppp"><strong><?php _e( 'Entries per Page', 'wpzoom' ); ?>:</strong></label><br/>
                <input type="text" style="width:90%;" name="wpzoom_dir_meta_ppp" id="wpzoom_dir_meta_ppp"
                       value="<?php echo get_post_meta( $post->ID, 'wpzoom_dir_meta_ppp', true ); ?>"><br/>
                <span class="description"><?php _e( 'Default', 'wpzoom' ); ?>: 6</span>
            </p>

            <p class="wpz_border">
                <label for="wpzoom_dir_meta_ppr"><strong><?php _e( 'Entries per Row', 'wpzoom' ); ?>:</strong></label><br/>

                <select name="wpzoom_dir_meta_ppr" id="wpzoom_dir_meta_ppr">
                    <option<?php selected( get_post_meta( $post->ID, 'wpzoom_dir_meta_ppr', true ), '2' ); ?>>2</option>
                    <option<?php selected( get_post_meta( $post->ID, 'wpzoom_dir_meta_ppr', true ), '3' ); ?>>3</option>
                    <option<?php selected( get_post_meta( $post->ID, 'wpzoom_dir_meta_ppr', true ), '4' ); ?>>4</option>
                </select><br/>

                <span class="description"><?php _e( 'Default', 'wpzoom' ); ?>: 3</span>
            </p>

            <p class="wpz_border">
                <?php $isChecked = (get_post_meta( $post->ID, 'wpzoom_dir_meta_excerpt', true ) == 1 ? 'checked="checked"' : ''); // we store checked checkboxes as 1 ?>
                <input type="checkbox" name="wpzoom_dir_meta_excerpt" id="wpzoom_dir_meta_excerpt" value="1" <?php echo $isChecked; ?> />
                <label for="wpzoom_dir_meta_excerpt"><?php _e( 'Display excerpts', 'wpzoom' ); ?></label>
            </p>

            <p class="wpz_border">
                <?php $isChecked = (get_post_meta( $post->ID, 'wpzoom_dir_meta_descriptor', true ) == 1 ? 'checked="checked"' : ''); // we store checked checkboxes as 1 ?>
                <input type="checkbox" name="wpzoom_dir_meta_descriptor" id="wpzoom_dir_meta_descriptor" value="1" <?php echo $isChecked; ?> />
                <label for="wpzoom_dir_meta_descriptor"><?php _e( 'Display page subtitle', 'wpzoom' ); ?></label>
            </p>

        </div>
    </fieldset>
<?php
}


function wpzoom_page_meta() {
    global $post;
    ?>
    <fieldset>
        <input type="hidden" name="savePage" id="savePage" value="1"/>

        <div>
            <p class="wpz_border">
                <label for="wpzoom_page_meta_title"><strong><?php _e( 'Page Subtitle', 'wpzoom' ); ?>:</strong></label><br/>
                <input type="text" style="width:90%;" name="wpzoom_page_meta_title" id="wpzoom_page_meta_title" value="<?php echo get_post_meta( $post->ID, 'wpzoom_page_meta_title', true ); ?>"><br/>
                <span class="description"><?php _e( 'Ex: Romantic, Family, Getaway', 'wpzoom' ); ?></span>
             </p>

            <p><?php _e( 'This will appear in pages with <strong>Directory</strong> template or <strong>WPZOOM: Directory Pages</strong> widgets.', 'wpzoom' ); ?></p>
        </div>
    </fieldset>
<?php
}


/*  Post Layout Metabox
==================================== */

function wpzoom_post_layout_options() {
    global $post;
    $postLayouts = array( 'side-right' => 'Sidebar on the right', 'side-left' => 'Sidebar on the left', 'side-both' => 'Sidebar on both sides', 'full' => 'Full Width' );
    ?>

    <style type="text/css">
        .RadioClass { display: none !important; }
        .RadioLabelClass { margin-right: 20px;  float: left; font-weight: bold; text-align: center;}
        .RadioLabelClass  span { margin:6px 0 0; font-size:10px; padding:1px 7px; border-radius: 20px; background: #8FB2C9; color:#fff; font-weight: bold; text-transform: uppercase; display: block; }
        .RadioSelected  span { background: #3173b2;  }
        img.layout-select { border: solid 2px #c0cdd6; border-radius: 3px; background: #fefefe;  }
        .RadioSelected img.layout-select { border: solid 2px #3173b2; }
   </style>

    <script type="text/javascript">
        jQuery(document).ready( function($) {
            $(".RadioClass").change(function(){
                if($(this).is(":checked")){
                    $(this).parent().find(".RadioSelected:not(:checked)").removeClass("RadioSelected");
                    $(this).next("label").addClass("RadioSelected");
                }
            });
        });
    </script>

    <fieldset>
        <div>
            <p>
                <?php
                foreach ( $postLayouts as $key => $value ) {
                    ?>
                    <input id="<?php echo $key; ?>" type="radio" class="RadioClass" name="wpzoom_post_template"
                           value="<?php echo $key; ?>"<?php if ( get_post_meta( $post->ID, 'wpzoom_post_template', true ) == $key ) {
                        echo ' checked="checked"';
                    } ?> />
                    <label for="<?php echo $key; ?>"
                           class="RadioLabelClass<?php if ( get_post_meta( $post->ID, 'wpzoom_post_template', true ) == $key ) {
                               echo ' RadioSelected"';
                           } ?>">
                        <img src="<?php echo wpzoom::$wpzoomPath; ?>/assets/images/layout-<?php echo $key; ?>.png"
                             alt="<?php echo $value; ?>" title="<?php echo $value; ?>" class="layout-select"/>
                         <span><?php echo $value; ?></span>
                    </label>
                <?php
                }
                ?>
            </p>
            <div class="clear"></div>

            <br /><p class="description"><?php _e('This option will override the default layout selected in Theme Options', 'wpzoom');  ?>.</p>
        </div>
    </fieldset>
<?php
}


/* Page Layout Metabox
============================================*/

function wpzoom_page_layout_options() {
    global $post;
    $postLayouts = array( 'side-right' => 'Sidebar on the right', 'side-left' => 'Sidebar on the left', 'side-both' => 'Sidebar on both sides', 'full' => 'Full Width' );
    ?>

   <style type="text/css">
        .RadioClass { display: none !important; }
        .RadioLabelClass { margin-right: 20px;  float: left; font-weight: bold; text-align: center;}
        .RadioLabelClass  span { margin:6px 0 0; font-size:10px; padding:1px 7px; border-radius: 20px; background: #8FB2C9; color:#fff; font-weight: bold; text-transform: uppercase; display: block; }
        .RadioSelected  span { background: #3173b2;  }
        img.layout-select { border: solid 2px #c0cdd6; border-radius: 3px; background: #fefefe;  }
        .RadioSelected img.layout-select { border: solid 2px #3173b2; }
   </style>

   <script type="text/javascript">
       jQuery(document).ready( function($) {
           $(".RadioClass").change(function(){
               if($(this).is(":checked")){
                   $(this).parent().find(".RadioSelected:not(:checked)").removeClass("RadioSelected");
                   $(this).next("label").addClass("RadioSelected");
               }
           });
       });
   </script>

    <fieldset>
        <div>
            <p>
                <?php
                foreach ( $postLayouts as $key => $value ) {
                    ?>
                    <input id="<?php echo $key; ?>" type="radio" class="RadioClass" name="wpzoom_page_template"
                           value="<?php echo $key; ?>"<?php if ( get_post_meta( $post->ID, 'wpzoom_page_template', true ) == $key ) {
                        echo ' checked="checked"';
                    } ?> />
                    <label for="<?php echo $key; ?>"
                           class="RadioLabelClass<?php if ( get_post_meta( $post->ID, 'wpzoom_page_template', true ) == $key ) {
                               echo ' RadioSelected"';
                           } ?>">
                        <img src="<?php echo wpzoom::$wpzoomPath; ?>/assets/images/layout-<?php echo $key; ?>.png"
                             alt="<?php echo $value; ?>" title="<?php echo $value; ?>" class="layout-select"/>
                         <span><?php echo $value; ?></span>
                    </label>
                <?php
                }
                ?>
            </p>

         </div>
    </fieldset>
<?php
}


/* Slideshow Options
============================================*/
function wpzoom_top_button_options() {
    global $post;

    ?>
    <style>

        .slide_colors li span {
            width: 16px;
            height: 16px;
            float: left;
            margin: 0 5px 0 0;
        }

        .slide_colors li.red span {
            background: #FA797C;
        }

        .slide_colors li.orange span {
            background: #F27242;
        }

        .slide_colors li.green span {
            background: #49BD5E;
        }

        .slide_colors li.blue span {
            background: #206ed1;
        }
    </style>


    <fieldset>
        <div>

            <p class="wpz_border">
                <label for="wpzoom_slideshow_text_position"><strong><?php _e( 'Text Alignment in this Slide', 'wpzoom' ); ?>:</strong></label><br/>
                <select name="wpzoom_slideshow_text_position" id="wpzoom_slideshow_text_position">
                    <option<?php selected( get_post_meta( $post->ID, 'wpzoom_slideshow_text_position', true ), 'Left' ); ?>>
                        <?php _e( 'Left', 'wpzoom' ); ?>
                    </option>
                    <option<?php selected( get_post_meta( $post->ID, 'wpzoom_slideshow_text_position', true ), 'Center' ); ?>>
                        <?php _e( 'Center', 'wpzoom' ); ?>
                    </option>
                    <option<?php selected( get_post_meta( $post->ID, 'wpzoom_slideshow_text_position', true ), 'Right' ); ?>>
                        <?php _e( 'Right', 'wpzoom' ); ?>
                    </option>
                </select>
                <br/>
            </p>


            <p>
                <strong><label for="wpzoom_top_button_title"><?php _e( 'Button Title', 'wpzoom' ); ?></label></strong>
                <input type="text" name="wpzoom_top_button_title" id="wpzoom_top_button_title" class="widefat"
                       value="<?php echo esc_attr( get_post_meta( $post->ID, 'wpzoom_top_button_title', true ) ); ?>"/>
            </p>

            <p>
                <strong><label for="wpzoom_top_button_url"><?php _e( 'Button URL', 'wpzoom' ); ?></label></strong><br/>
                <input type="text" name="wpzoom_top_button_url" id="wpzoom_top_button_url" class="widefat"
                       value="<?php echo esc_url( get_post_meta( $post->ID, 'wpzoom_top_button_url', true ) ); ?>"/>
            </p>

            <p>
                <label for="wpzoom_slideshow_color"><strong><?php _e( 'Button Color', 'wpzoom' ); ?></strong> (<?php _e( 'optional', 'wpzoom' ); ?>)</label><br/>
                <input type="text" name="wpzoom_slideshow_color" id="wpzoom_slideshow_color"
                       value="<?php echo '' != ($colrval = trim( get_post_meta( $post->ID, 'wpzoom_slideshow_color', true ) )) ? $colrval : '#206ed1'; ?>"
                       size="7" maxlength="7"/>

            <div id="colorpicker"></div>
            <script type="text/javascript">
                jQuery(function ($) {
                    $('#colorpicker').hide().farbtastic('#wpzoom_slideshow_color');

                    $('#wpzoom_slideshow_color').focus(function () {
                        $('#colorpicker').show('normal');
                    }).blur(function () {
                        $('#colorpicker').hide('normal');
                    });
                });
            </script>

            <strong><?php _e('Predefined colors', 'wpzoom'); ?></strong>
            <ul class="slide_colors">
                <li class="blue"><span></span>#206ed1</li>
                <li class="orange"><span></span>#F27242</li>
                <li class="red"><span></span>#FA797C</li>
                <li class="green"><span></span>#49BD5E</li>
            </ul>
            </p>

        </div>
    </fieldset>



<?php
}



add_action( 'save_post', 'custom_add_save' );

function custom_add_save( $postID ) {

    // called after a post or page is saved
    if ( $parent_id = wp_is_post_revision( $postID ) ) {
        $postID = $parent_id;
    }


    if ( isset( $_POST['saveDirList'] ) && $_POST['saveDirList'] ) {

        if ( ctype_digit( $_POST['wpzoom_dir_meta_ppp'] ) ) {
            update_custom_meta( $postID, $_POST['wpzoom_dir_meta_ppp'], 'wpzoom_dir_meta_ppp' );
        } else {
            update_custom_meta( $postID, 6, 'wpzoom_dir_meta_ppp' );
        }

        if ( isset( $_POST['wpzoom_dir_meta_ppr'] ) )
        update_custom_meta( $postID, $_POST['wpzoom_dir_meta_ppr'], 'wpzoom_dir_meta_ppr' );

        update_custom_meta( $postID, ( isset( $_POST['wpzoom_dir_meta_excerpt'] ) ? 1 : 0 ), 'wpzoom_dir_meta_excerpt' );

        update_custom_meta( $postID, ( isset( $_POST['wpzoom_dir_meta_descriptor'] ) ? 1 : 0 ), 'wpzoom_dir_meta_descriptor' );


    }


    if ( isset( $_POST['savePage'] ) && $_POST['savePage'] ) {
        update_custom_meta( $postID, $_POST['wpzoom_page_meta_title'], 'wpzoom_page_meta_title' );
    }


    if ( isset( $_POST['save'] ) || isset( $_POST['publish'] ) ) {

        if ( isset( $_POST['wpzoom_page_template'] ) )
            update_custom_meta( $postID, $_POST['wpzoom_page_template'], 'wpzoom_page_template' );

        if ( isset( $_POST['wpzoom_post_template'] ) )
            update_custom_meta( $postID, $_POST['wpzoom_post_template'], 'wpzoom_post_template' );

        if ( isset( $_POST['wpzoom_slideshow_text_position'] ) )
            update_custom_meta( $postID, $_POST['wpzoom_slideshow_text_position'], 'wpzoom_slideshow_text_position' );

        if ( isset( $_POST['wpzoom_slideshow_color'] ) )
            update_custom_meta( $postID, $_POST['wpzoom_slideshow_color'], 'wpzoom_slideshow_color' );

        if ( isset( $_POST['wpzoom_top_button_title'] ) )
            update_custom_meta( $postID, $_POST['wpzoom_top_button_title'], 'wpzoom_top_button_title' );

        if ( isset( $_POST['wpzoom_top_button_url'] ) )
            update_custom_meta( $postID, esc_url_raw( $_POST['wpzoom_top_button_url'] ), 'wpzoom_top_button_url' );


    }
}


function update_custom_meta( $postID, $value, $field ) {
    // To create new meta
    if ( ! get_post_meta( $postID, $field ) ) {
        add_post_meta( $postID, $field, $value );
    } else {
        // or to update existing meta
        update_post_meta( $postID, $field, $value );
    }
}