<?php
/**
 * Register widget areas.
 *
 * @link https://codex.wordpress.org/Function_Reference/register_sidebar
 */

/**
 * Sidebar widget areas.
 */
function diamond_sidebar_widgets_init() {
	register_sidebar( array(
		'name'          => 'Sidebar',
		'id'            => 'sidebar',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '<div class="cleaner">&nbsp;</div></div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => 'Left Sidebar',
		'id'            => 'sidebar-left',
		'description'   => 'This is the left sidebar that appears on pages where it\'s selected to display sidebars on each sides.',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '<div class="cleaner">&nbsp;</div></div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => 'Shop Sidebar',
		'id'            => 'sidebar-shop',
		'description'   => 'Main sidebar for Shop page and for pages with "Homepage: WooCommerce" template.',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '<div class="cleaner">&nbsp;</div></div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => 'Shop Left Sidebar',
		'id'            => 'sidebar-shop-left',
		'description'   => 'Left sidebar for Shop page and for pages with "Homepage: WooCommerce" template.',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '<div class="cleaner">&nbsp;</div></div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );
}

add_action( 'widgets_init', 'diamond_sidebar_widgets_init' );

/**
 * Homepage widget areas.
 */
function diamond_homepage_widgets_init() {
	register_sidebar( array(
		'name'          => 'Homepage (directory)',
		'id'            => 'home-directory',
		'description'   => 'Widget area for page template "Homepage (Directory)". &#13; &#10; &#09; Add here: "WPZOOM: Directory Pages" widget.',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '<div class="clear"></div></div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => 'Homepage (widgetized): Full-width',
		'id'            => 'home-full',
		'description'   => 'Widget area for page template "Homepage (Widgetized)". &#13; &#10; &#09; Add here: "WPZOOM: Single Page" widget.',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '<div class="clear"></div></div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => 'Homepage (widgetized): Column 1/3',
		'id'            => 'home-1',
		'description'   => 'Widget area for page template "Homepage (Widgetized)". &#13; &#10; &#09; Add here: "WPZOOM: Single Page" widget.',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '<div class="clear">&nbsp;</div></div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => 'Homepage (widgetized): Column 2/3',
		'id'            => 'home-2',
		'description'   => 'Widget area for page template "Homepage (Widgetized)". &#13; &#10; &#09; Add here: "WPZOOM: Single Page" widget.',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '<div class="clear">&nbsp;</div></div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => 'Homepage (widgetized): Column 3/3',
		'id'            => 'home-3',
		'description'   => 'Widget area for page template "Homepage (Widgetized)". &#13; &#10; &#09; Add here: "WPZOOM: Single Page" widget.',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '<div class="clear">&nbsp;</div></div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => 'Homepage (widgetized): Full-width bottom',
		'id'            => 'home-full-bottom',
		'description'   => 'Widget area for page template "Homepage (Widgetized)".',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '<div class="clear"></div></div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );
}

add_action( 'widgets_init', 'diamond_homepage_widgets_init' );

/**
 * Footer widget areas.
 */
function diamond_footer_widgets_init() {
	register_sidebar( array(
		'name'          => 'Footer: Column 1',
		'id'            => 'footer_1',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => 'Footer: Column 2',
		'id'            => 'footer_2',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => 'Footer: Column 3',
		'id'            => 'footer_3',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => 'Footer: Column 4',
		'id'            => 'footer_4',
		'before_widget' => '<div class="widget %2$s" id="%1$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="title">',
		'after_title'   => '</h3>',
	) );
}

add_action( 'widgets_init', 'diamond_footer_widgets_init' );
