<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
	<head>
		<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php bloginfo( 'charset' ); ?>" />
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<?php wp_head(); ?>
	</head>

	<body <?php body_class() ?>>

		<div id="header" class="header-inner-wrap">

			<div class="inner-wrap" >

				<div id="logo">
					<?php if ( ! diamond_has_logo() ) echo '<h1>'; ?>

	                <a href="<?php echo home_url(); ?>" title="<?php bloginfo( 'description' ); ?>">

	                    <?php
	                    if ( diamond_has_logo() ) {
	                        diamond_logo();
	                    } else {
	                        bloginfo( 'name' );
	                    }
	                    ?>

	                </a>

	                <?php if ( ! diamond_has_logo() ) echo '</h1>'; ?>

					<?php if ( ( $description = get_bloginfo( 'description' ) ) || is_customize_preview() ) : ?>
						<?php if ( ! get_theme_mod( 'hide-tagline' ) ) : ?>

							<span class="site-description"><?php echo $description; ?></span>

						<?php endif; ?>
					<?php endif; ?>
				</div><!-- / #logo -->

				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#menu">
					<span class="screen-reader-text"><?php _e( 'Toggle navigation', 'wpzoom' ); ?></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>

				<div id="menu">

					<?php
					if ( has_nav_menu( 'primary' ) ) {
						wp_nav_menu( array(
							'container'       => 'menu',
							'container_class' => '',
							'menu_class'      => 'dropdown',
							'menu_id'         => 'mainmenu',
							'sort_column'     => 'menu_order',
							'theme_location'  => 'primary',
							'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s' . diamond_wc_menu_cartitem() . '</ul>'
						) );
					} else {
                        wp_nav_menu( array(
                            'container'       => 'menu',
                            'container_class' => '',
                            'menu_class'      => 'dropdown',
                            'menu_id'         => 'mainmenu',
                            'sort_column'     => 'menu_order',
                            'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s' . diamond_wc_menu_cartitem() . '</ul>',
                            'menu' => 'main'
                        ) );
                    } ?>

				</div>

				<div class="clear"></div>

			</div><!-- / .inner-wrap-->
		</div><!-- / #header-->