<?php
/*
Template Name: Blog
*/

$template = get_post_meta($post->ID, 'wpzoom_page_template', true);
$paged = (get_query_var('paged')) ? get_query_var('paged') : 1; // gets current page number
?>

<?php get_header(); ?>

<div class="breadcrumbs">

	<div class="inner-wrap">

 		<?php diamond_breadcrumbs(); ?>

	</div>

</div>

<div class="inner-wrap">

	<div id="content"<?php
		if ( 'side-left' == $template ) { echo ' class="side-left"'; }
		if ( 'side-both' == $template ) { echo ' class="side-both"'; }
		if ( 'full' == $template ) { echo ' class="full-width"'; }
		?>>

		<?php if ( 'side-both' == $template ) : ?>

			<?php get_sidebar( 'left' ); ?>

		<?php endif; ?>

		<section id="main" role="main">

			<div id="recent-posts">

				<?php
				if ( get_query_var('paged') )
					$paged = get_query_var('paged');
				elseif ( get_query_var('page') )
					$paged = get_query_var('page');
				else
					$paged = 1;

				query_posts("post_type=post&paged=$paged");
				?>

				<?php while (have_posts()) : the_post(); ?>

					<?php get_template_part('content'); ?>

				<?php endwhile; ?>

 				<?php
 				// Previous/next page navigation.
 				the_posts_pagination( array(
 					'prev_text'          => __( 'Previous', 'wpzoom' ),
 					'next_text'          => __( 'Next', 'wpzoom' ),
 					'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'wpzoom' ) . ' </span>',
 				) );
 				?>

				<?php wp_reset_query(); ?>

			</div> <!-- /#recent-posts -->

		</section><!-- /#main -->

 		<?php if ( 'full' != $template ) : ?>

 			<?php get_sidebar(); ?>

 		<?php else : ?>

 			<div class="clear"></div>

 		<?php endif; ?>

	</div><!-- /#content -->

</div><!-- /.inner-wrap -->

<?php get_footer(); ?>