<?php
/*
Template Name: Homepage (WooCommerce)
*/

$template = get_post_meta( $post->ID, 'wpzoom_page_template', true );
$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
?>

<?php get_header(); ?>

<?php
if ( option::is_on( 'featured_posts_show' ) && $paged < 2 ) {
    get_template_part( 'wpzoom-slider' );
}
?>

<?php if ( ! is_front_page() ) : ?>

    <div class="breadcrumbs">
        <div class="inner-wrap">

            <?php diamond_breadcrumbs(); ?>

        </div>
    </div>

<?php endif; ?>

<div class="inner-wrap">

	<div id="content"<?php
		if ( 'side-left' == $template ) { echo ' class="side-left"'; }
		if ( 'side-both' == $template ) { echo ' class="side-both"'; }
		if ( 'full' == $template ) { echo ' class="full-width"'; }
		?>>

		<?php if ( 'side-both' == $template  && is_active_sidebar( 'sidebar-shop-left' ) ) : ?>

			<div id="sidebar-left">

				<?php dynamic_sidebar( 'sidebar-shop-left' ); ?>

			</div>

		<?php endif; ?>

		<section id="main" role="main">

			<h1 class="entry-title"><?php the_title(); ?></h1>

			<div id="featured-products">

				<ul class="featured-products">

					<?php
					$temp = $wp_query;
					$wp_query= null;
					$wp_query = new WP_Query();
					$wp_query->query('post_type=product&posts_per_page=8&paged='.$paged);

					while ( $wp_query->have_posts() ) :
						$wp_query->the_post();

						if ( function_exists( 'get_product' ) ) {
							$_product = get_product( $wp_query->post->ID );
						} else {
							$_product = new WC_Product( $wp_query->post->ID );
						}
					?>
					<li>

						<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">

							<div class="shop_item_details">

		 						<h3><?php the_title(); ?></h3>

		 						<span class="price"><?php echo $_product->get_price_html(); ?></span>

							</div>

		 					<?php get_the_image( array( 'size' => 'woo-featured', 'width' => 280, 'height' => 280, 'before' => '<div class="post-thumb">', 'after' => '</div>', 'link_to_post' => false  ) ); ?>

	 					</a>

					</li>
					<?php endwhile; ?>

				</ul>

			</div><!--/#featured-products-->

			<div class="clear"></div>

			<?php
			// Previous/next page navigation.
			the_posts_pagination( array(
				'prev_text'          => __( 'Previous', 'wpzoom' ),
				'next_text'          => __( 'Next', 'wpzoom' ),
				'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'wpzoom' ) . ' </span>',
			) );
			?>

			<?php wp_reset_postdata(); ?>

			<?php $wp_query = null; $wp_query = $temp; ?>

		</section><!-- /#main -->

		<?php if ( 'full' != $template && is_active_sidebar( 'sidebar-shop' ) ) : ?>

			<div id="sidebar">

				<?php dynamic_sidebar('sidebar-shop'); ?>

			</div>

		<?php else : ?>

			<div class="clear"></div>

		<?php endif; ?>

	</div><!-- /#content -->

</div><!-- /.inner-wrap -->

<?php get_footer(); ?>