<?php
/*
Template Name: Homepage (with Slider)
*/

$template = get_post_meta( $post->ID, 'wpzoom_page_template', true );
?>

<?php get_header(); ?>

<?php
if ( option::is_on( 'featured_posts_show' ) ) {
    get_template_part( 'wpzoom-slider' );
}
?>

<?php if ( ! is_front_page() ) : ?>

    <div class="breadcrumbs">
        <div class="inner-wrap">

            <?php diamond_breadcrumbs(); ?>

        </div>
    </div>

<?php endif; ?>

<div class="inner-wrap">

	<div id="content"<?php
		if ( 'side-left' == $template ) { echo ' class="side-left"'; }
		if ( 'side-both' == $template ) { echo ' class="side-both"'; }
		if ( 'full' == $template ) { echo ' class="full-width"'; }
		?>>

		<?php if ( 'side-both' == $template ) : ?>

			<?php get_sidebar( 'left' ); ?>

		<?php endif; ?>

		<section id="main" role="main">

			<?php while (have_posts()) : the_post(); ?>

                <h1 class="entry-title"><?php the_title(); ?></h1>

                <div class="entry">

                    <?php the_content(); ?>

                    <div class="clear"></div>

                </div><!-- .entry -->

            <?php endwhile; ?>

		</section><!-- /#main -->

		<?php if ( 'full' != $template ) : ?>

			<?php get_sidebar(); ?>

		<?php else : ?>

			<div class="clear"></div>

		<?php endif; ?>

	</div><!--/#content-->

</div><!--/.inner-wrap-->

<?php get_footer(); ?>