<?php
$template = get_post_meta($post->ID, 'wpzoom_page_template', true);
$slides = get_post_meta( get_the_ID(), 'wpzoom_slider', true );
?>

<?php get_header(); ?>

<div class="breadcrumbs">

	<div class="inner-wrap">

 		<?php diamond_breadcrumbs(); ?>

	</div>

</div>

<div class="inner-wrap">

	<div id="content"<?php
		if ( 'side-left' == $template ) { echo ' class="side-left"'; }
        if ( 'side-both' == $template ) { echo ' class="side-both"'; }
        if ( 'full' == $template ) { echo ' class="full-width"'; }
		?>>


		<?php if ( 'side-both' == $template ) : ?>

			<?php get_sidebar( 'left' ); ?>

		<?php endif; ?>

		<section id="main" role="main">

            <?php if ( is_array( $slides ) && count( $slides ) > 0 ) : add_action( 'wp_print_footer_scripts', 'diamond_page_slider_script' ) ?>

                <div class="page-slider flexslider">
                    <ul class="page-slides">

                        <?php foreach ( $slides as $slide ) : ?>

                            <?php if ( $img = diamond_page_get_slide_image( $slide ) ) : ?>

                                <li>

                                    <?php if ( ! empty( $img['caption'] ) || ! empty( $img['description'] ) ) : ?>

                                        <div class="page-slider-caption">
                                            <?php if (! empty( $img['caption'] ) ) { ?>
                                                <p><?php echo esc_html( $img['caption'] ); ?></p>
                                            <?php } ?>

                                            <?php if (! empty( $img['description'] )) { ?>
                                                <p class="description"><?php echo esc_html( $img['description'] ); ?></p>
                                            <?php } ?>
                                        </div>

                                    <?php endif; ?>

                                    <img src="<?php echo $img['src']; ?>" width="<?php echo $img['width']; ?>" height="<?php echo $img['height']; ?>" />

                                </li>

                            <?php endif; ?>

                        <?php endforeach; ?>

                    </ul>
                </div>

            <?php endif; ?>

			<?php while (have_posts()) : the_post(); ?>

				<h1 class="entry-title"><?php the_title(); ?></h1>

				<div class="entry">

					<?php the_content(); ?>

					<div class="clear">&nbsp;</div>

					<?php wp_link_pages(array('before' => '<div class="navigation"><p><strong>'.__('Pages', 'wpzoom').':</strong> ', 'after' => '</p></div>', 'next_or_number' => 'number')); ?>

                    <?php edit_post_link( __('Edit page', 'wpzoom'), '<p>', '</p>'); ?>


				</div><!-- .entry -->

				<?php
                if ( option::is_on( 'comments_page' ) ) :
					comments_template();
	  			endif;
                ?>


			<?php endwhile; ?>

 			<div class="clear">&nbsp;</div>


		</section><!-- /#main -->

 		<?php if ( 'full' != $template ) : ?>

            <?php get_sidebar();  ?>

        <?php else : ?>

            <div class="clear"></div>

        <?php endif; ?>

	</div><!-- /#content -->

</div><!-- /.inner-wrap -->

<?php get_footer(); ?>