<?php
/**
 * The template for displaying all single posts and attachments
 */

$global_template = option::get( 'layout_post' );
$post_template = get_post_meta( $post->ID, 'wpzoom_post_template', true );

if ( $post_template ) {
	$template = $post_template;
} else {
	$template = $global_template;
}

?>

<?php get_header(); ?>

<div class="breadcrumbs">

	<div class="inner-wrap">

 		<?php diamond_breadcrumbs(); ?>

	</div>

</div>

<div class="inner-wrap">

	<div id="content"<?php
		if ( 'side-left' == $template ) { echo ' class="side-left"'; }
		if ( 'side-both' == $template ) { echo ' class="side-both"'; }
		if ( 'full' == $template ) { echo ' class="full-width"'; }
		?>>


		<?php if ( 'side-both' == $template ) : ?>

			<?php get_sidebar( 'left' ); ?>

		<?php endif; ?>

		<section id="main" role="main">

			<?php while (have_posts()) : the_post(); ?>

				<?php get_template_part( 'content-single' ); ?>

			<?php endwhile; ?>

			<div class="cleaner">&nbsp;</div>

		</section><!-- /#main -->

		<?php if ( 'full' != $template ) : ?>

			<?php get_sidebar(); ?>

		<?php else : ?>

			<div class="clear"></div>

		<?php endif; ?>

	</div><!-- /#content -->

</div><!-- /.inner-wrap -->

<?php get_footer(); ?>