<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see         http://docs.woothemes.com/document/template-structure/
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     1.6.4
 */

$template = option::get('layout_shop');

get_header('shop'); ?>

<div class="breadcrumbs">

	<div class="inner-wrap">

 		<?php woocommerce_breadcrumb(); ?>

	</div>

</div>

<div class="inner-wrap">

	<div id="content"<?php
		if ( 'side-left' == $template ) { echo ' class="side-left"'; }
		if ( 'side-both' == $template ) { echo ' class="side-both"'; }
		if ( 'full' == $template ) { echo ' class="full-width"'; }
		?>>

		<?php if ( 'side-both' == $template && is_active_sidebar( 'sidebar-shop-left' )  ) : ?>

			<div id="sidebar-left">
				<?php dynamic_sidebar( 'sidebar-shop-left' ); ?>
			</div>

		<?php endif; ?>

		<section id="main" role="main">

 			<div class="entry">

				<?php do_action('woocommerce_output_content_wrapper'); ?>

					<?php while ( have_posts() ) : the_post(); ?>

						<?php woocommerce_get_template_part( 'content', 'single-product' ); ?>

					<?php endwhile; // end of the loop. ?>



				<div class="cleaner">&nbsp;</div>

			</div><!-- / .entry -->

 		</section><!-- /#main -->

		<?php if ( 'full' != $template && is_active_sidebar( 'sidebar-shop' ) ) : ?>

			<div id="sidebar">

				<?php dynamic_sidebar('sidebar-shop'); ?>

			</div>

		<?php else : ?>

			<div class="clear"></div>

		<?php endif; ?>

	</div><!-- /#content -->

</div><!-- /.inner-wrap -->

<?php get_footer('shop'); ?>